html {
  background: url(image/bg.webp) no-repeat center center fixed;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  -ms-overflow-style: none;
  scrollbar-width: none;
  overflow-x: hidden;
  overflow-y: auto;
}

* {
  box-sizing: border-box;
}

body {
  overflow: hidden;
  scrollbar-width: none;
  margin: 0;
  padding: 0;
}

html,
body {
  height: 100%;
}

#score {
  display: inline-block;
  margin-top: -70px;
}

canvas {
  border: 5px solid purple;
  border-radius: 5px 8px;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  margin: auto;
}

#tetris {
  width: 308px;
  height: 616px;
}

.myButton,
.myButton1 {
  box-shadow: 10px 10px 2px 0px #1564ad;
  /* background: linear-gradient(to bottom, #371e37 0%, #754175 100%); */
  background-image: linear-gradient(#000000, #800080);
  border: 5px solid #800080;
  border-radius: 8px;
  cursor: pointer;
  font-family: Verdana;
  font-size: 28px;
  font-weight: bold;
  text-decoration: none;
  display: flex;
  flex-wrap: nowrap;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  align-content: center;
  color: #ffd700;
  padding: 2vw;
  width: 22vw;
  text-align: center;
}

.myButton,
.myButton1,
canvas {
  box-shadow: 0 0 0 2px #000, 0 0 0 3px #a3a3a3, 0 0 0 9px #ffaa00,
    0 0 0 10px #757575, 0 0 0 16px #ffe019, 0 0 0 18px #000,
    3px 3px 10px 18px rgba(0, 0, 0, 0.4);
}

.container {
  display: flex;
  flex-wrap: nowrap;
  flex-direction: column;
  justify-content: center;
  align-items: flex-end;
  align-content: center;
}

.item {
  margin: 19px;
  margin-bottom: 50px;
  margin-right: 220px;
  padding: 20px;
  display: inline-block;
}

label {
  color: white;
}

#counter {
  flex: 1 1 auto;
  margin-left: 110px;
  font-size: 600%;
  display: inline-block;
  margin-top: 50px;
}

@font-face {
  font-family: "font1";
  src: url("fonts/Athena.ttf");
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: "fonts";
  src: url("fonts/tetris.woff"), url("fonts/tetris.TTF") format("woff"),
    url("fonts/tetris.svg") format("svg"), url("fonts/tetris.otf");
  font-weight: normal;
  font-style: normal;
}


@font-face {
  font-family: "score";
  src: url("fonts/score.ttf");
  font-style: normal;
}

#name {
  font-family: fonts;
}

h1 {
  background: #000;
  -webkit-background-clip: text;
  background-clip: text;
  color: transparent;
  text-shadow: 4px 6px 2px #800080;
  -webkit-text-fill-color: transparent;
  -webkit-text-stroke: 0.3px black;
  text-stroke: 0.3px black;
}

#counter,
#score2 {
  font-family: font1;
  color: #ffffff;
}

#name {
  flex: 1 1 auto;
  margin-top: -135px;
  display: inline-block;
  margin-right: 75px;
  font-size: 125px;
  letter-spacing: 3.5px;
}

#score2 {
  margin-top: -110px;
  margin-right: 135px;
  font-size: 46px;
  margin-bottom: -3px;
}

h4 {
  background-color: black;
  background-image: linear-gradient(#000000, #800080);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  -moz-background-clip: text;
  -moz-text-fill-color: transparent;
  font-family: "score";
  font-weight: bolder;
}

#left,
#right,
#down,
#rotate {
  display: none;
}

#audioButton,
#reload {
  flex: 1 1 auto;
  display: inline-block;
  margin-right: -125px;
  padding-top: -200px -150px;
  margin-top: -20px 0px;
}

#myCheck {
  flex: 1 1 auto;
  margin-right: -125px;
}

@media screen and (min-width: 1225px) {
  #imageCat {
    display: flex;
    flex-wrap: nowrap;
    margin-top: 260px;
    margin-left: 30px;
    position: absolute;
    width: 34.5%;
    height: auto;
  }
  @media screen and (max-height: 460px) {
    .myButton,
    .myButton1 {
      height: 6vh;
      width: 16vw;
    }
  }
}

@media (min-width: 1370px), (max-width: 1435px) {
  #name {
    margin-right: 2%;
    margin-top: -135px;
    font-size: 125px;
  }
  .myButton,
  .myButton1 {
    position: absolute;
    right: 63px;
  }
  .myButton {
    bottom: 40%;
  }
  .myButton1 {
    bottom: 15%;
  }
}

@media screen and (max-width: 1240px) {
  #name {
    margin-top: 5%;
    font-size: 8vw;
    margin-right: 2%;
  }
  #score2 {
    margin-top: -8%;
    margin-right: 2%;
    font-size: 4.8vw;
  }
  #left,
  #right,
  #rotate {
    display: inline-block;
    position: absolute;
    left: 9%;
    box-shadow: 0 0 0 2px #000, 0 0 0 3px #999, 0 0 0 9px #fa0, 0 0 0 10px #666,
      0 0 0 16px #fd0, 0 0 0 18px #000, 0 2px 6px 18px rgba(0, 0, 0, 0.5);
    border-radius: 7px;
    border: 5px solid #800080;
    background-image: linear-gradient(#000000, #800080);
    padding: auto;
    margin-top: 5px;
  }
  #left {
    bottom: 70%;
  }
  #right {
    bottom: 50%;
  }
  #rotate {
    bottom: 29%;
    padding-top: 4px;
  }
  #imageCat,
  #counter {
    display: none;
  }
}

/* large tablets */
@media screen and (max-width: 991px) {
  #tetris {
    width: 430px;
    height: 770px;
  }
  .myButton,
  .myButton1 {
    position: absolute;
    font-size: 0;
    background-repeat: no-repeat;
    background-position: center;
    background-color: #532e53;
    height: 75px;
    margin-right: 5px;
    width: 75px;
    background-size: 70%;
  }
  .myButton {
    background-image: url("image/music.png");
  }
  .myButton1 {
    background-image: url("image/refresh.png");
  }
  #name {
    display: none;
  }
  #score2 {
    font-size: 4.3vw;
    margin: auto;
    margin-top: -8%;
  }
}

/* medium tablets */
@media screen and (max-width: 800px) {
  .myButton,
  .myButton1 {
    right: 30px;
  }
  #tetris {
    width: 360px;
    height: 700px;
  }
  .myButton,
  .myButton1,
  #left,
  #right,
  #rotate {
    box-shadow: 0 0 0 1px #000, 0 0 0 2px #999, 0 0 0 4px #fa0, 0 0 0 4px #666,
      0 0 0 6px #fd0, 0 0 0 8px #000, 0 2px 5px 10px rgba(0, 0, 0, 0.5);
  }
  #score2 {
    font-size: 5vw;
    margin-top: -7%;
  }
}

/* small tablets */
@media screen and (max-width: 650px) {
  #tetris {
    width: 320px;
    height: 640px;
  }
  #score2 {
    font-size: 6vw;
  }
  #left,
  #right,
  #rotate {
    margin-left: -3%;
  }
  .myButton,
  .myButton1 {
    height: 55px;
    width: 55px;
    background-size: 50%;
    margin-right: -1.5%;
  }
}

/* large phones */
@media screen and (max-width: 510px) {
  .myButton,
  .myButton1,
  #left,
  #right,
  #rotate {
    box-shadow: 6px 6px 2px 0px #1564ad;
    border: 2px solid #800080;
    border-radius: 7px;
  }
  #tetris {
    width: 250px;
    height: 500px;
  }
  .myButton {
    left: 33.33%;
  }
  .myButton1 {
    left: 66%;
  }
  .myButton,
  .myButton1 {
    height: 35px;
    background-size: 40%;
    top: 12%;
    transform: translate(-50%, -50%);
  }
  #left {
    left: 36%;
  }
  #rotate {
    left: 53%;
  }
  #right {
    left: 70%;
  }
  #left,
  #right,
  #rotate {
    bottom: 0%;
    transform: translate(-50%, -50%);
    width: 12%;
  }
  #name {
    display: none;
  }
  #score2 {
    font-size: 5.8vw;
    margin-top: -11%;
  }
}

/* small phones */
@media screen and (max-width: 350px) {
  #tetris {
    width: 160px;
    height: 320px;
  }
}
